unit MMDevice;

interface

uses
  Windows, Messages, Classes, PropSys2, ActiveX;

const
  IID_IMMDevice: TGUID = '{D666063F-1587-4E43-81F1-B948E807363F}';

  DEVICE_STATE_ACTIVE = $00000001;
  DEVICE_STATE_DISABLED = $00000002;
  DEVICE_STATE_NOTPRESENT = $00000004;
  DEVICE_STATE_UNPLUGGED = $00000008;
  DEVICE_STATEMASK_ALL = $0000000F;
  DEVICE_STATE_ADDED = $80000000;
  DEVICE_STATE_REMOVED = $80000001;

type
  IMMDevice = interface(IUnknown)
    ['{D666063F-1587-4E43-81F1-B948E807363F}']
    function Activate(const iid: TGUID; dwClsCtx: UINT; pActivationParams: PPropVariant;
      out ppInterface: IUnknown): HRESULT; stdcall;
    function OpenPropertyStore(stgmAccess: integer; out ppProperties: IPropertyStore): HRESULT;
      stdcall;
    function GetId(out ppstrId: PWChar): HRESULT; stdcall;
    function GetState(var pdwState: integer): HRESULT; stdcall;
  end;

implementation

end.
