unit AudioClient;

interface

uses
  Windows, Messages, Classes, MMSystem, Constants;

const
  IID_IAudioClient: TGUID = '{1CB9AD4C-DBFA-4c32-B178-C2F568A703B2}';

type
  IAudioClient = interface(IUnknown)
    ['{1CB9AD4C-DBFA-4c32-B178-C2F568A703B2}']
    function Initialize(ShareMode: AUDCLNT_SHAREMODE; StreamFlags: DWORD;
      hmsBufferDuration: REFERENCE_TIME; hmsPeriodicity: REFERENCE_TIME; pFormat: PWAVEFORMATEX;
      AudioSessionGuid: pGuid): HRESULT; stdcall;
    function GetBufferSize(out NumBufferFrames: UINT32): HRESULT; stdcall;
    function GetStreamLatency(out hmsLatency: REFERENCE_TIME): HRESULT; stdcall;
    function GetCurrentPadding(out NumPaddingFrames: UINT32): HRESULT; stdcall;
    function IsFormatSupported(ShareMode: DWORD; pFormat: PWAVEFORMATEX;
      out pClosestMatch: PWAVEFORMATEX): HRESULT; stdcall;
    function GetMixFormat(out pFormat: PWAVEFORMATEX): HRESULT; stdcall;
    function GetDevicePeriod(out hmsDefaultDevicePeriod, hmsMinimumDevicePeriod: REFERENCE_TIME)
      : HRESULT; stdcall;
    function Start: HRESULT; stdcall;
    function Stop: HRESULT; stdcall;
    function Reset: HRESULT; stdcall;
    function SetEventHandle(eventHandle: HWND): HRESULT; stdcall;
    function GetService(const iid: TGUID; out ppInterface: IUnknown): HRESULT; stdcall;
  end;

implementation

end.
