unit AudioSessionNotification;

interface

uses
  Windows, Messages, Classes, AudioSessionControl, Constants;

type
	IAudioSessionNotification = interface(IUnknown)
  ['{641DD20B-4D41-49CC-ABA3-174B9477BB08}']
    function OnSessionCreated(const NewSession: IAudioSessionControl): HResult; stdcall;
  end;

  TAudioSessionNotification = class(TInterfacedObject, IAudioSessionNotification)
  private
    MsgHandle: HWND;
  public
    function OnSessionCreated(const NewSession: IAudioSessionControl): HResult; stdcall;
    procedure SetMsgHandle(WinHandle: HWND);
  end;

implementation

{ TSessionNotification }

function TAudioSessionNotification.OnSessionCreated(const NewSession: IAudioSessionControl): HResult;
begin
  PostMessage(MsgHandle, WM_SessionCreate, integer(@NewSession), 0);

  Result := S_OK;
end;

procedure TAudioSessionNotification.SetMsgHandle(WinHandle: HWND);
begin

  MsgHandle := WinHandle;
end;

end.
